MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024176Open CASCADE[OCCT] OCCT:Data Exchangepublic2013-09-16 09:572013-12-19 13:58
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024176: Array out-of-bound error in Vrml loader (test bugs moddata_3 bug23023)
DescriptionIn test bugs moddata_3 bug23023, Vrml reader goes out of bounds of the array containing node normals, this causes exception in Debug mode and unpredictable behavior in Release. In my case, I experienced hang-up in testing fix for #24108
Steps To Reproducetest bugs moddata_3 bug23023
TagsNo tags attached.
Test case numberbugs moddata_3(013) bug23023
Attached Files

- Relationships
related to 0023023closedbugmaster Open CASCADE VRML reader fails on attempt to read an attached WRL file. 
related to 0023846closedbugmaster Open CASCADE A crash on reading of a VRML file with wrong indices 

-  Notes
(0025582)
abv (manager)
2013-09-16 10:06

Fix integrated to CR24176 (http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commitdiff;h=0c415905cda3f97c5cab86e0db97406842d109c7 [^]), please review
(0025754)
mkv (tester)
2013-09-26 16:34

Dear BugMaster,

Branch CR24176 (and products from GIT master) was compiled on Linux and Windows platforms and tested.


Number of compiler warnings:

occt component :
Linux: 505 (506 on master)
Windows: 31 (31 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
http://occt-tests/CR24176-1-master-occt/Windows-32-VC9/bugs/moddata_3/bug23023.html [^]
http://occt-tests/CR24176-1-master-occt/Windows-32-VC9/bugs/moddata_3/bug23023.html [^]
bugs moddata_3(013) bug23023: OK

Testing on Linux:
Total MEMORY difference: 428709512 / 429076268
Total CPU difference: 38873.546875 / 48289.046875

Testing on Windows:
Total MEMORY difference: 428709512 / 429076268
Total CPU difference: 38873.546875 / 48289.046875

There are not differences in images found by testdiff.
(0025914)
abv (manager)
2013-10-05 10:58

The same testdiff results are reported for both Linux and Windows, please correct (I suppose both are Windows ones)

- Related Changesets
occt: master cccf81ea
Timestamp: 2013-09-16 06:03:12
Author: abv
Committer: bugmaster
Details ] Diff ]
0024176: Array out-of-bound error in Vrml loader (test bugs moddata_3 bug23023)

Code assigning normals to nodes of triangulation corrected to use correct index of the node and avoid array out-of-bound errors.
mod - src/VrmlData/VrmlData_IndexedFaceSet.cxx Diff ] File ]
mod - tests/bugs/moddata_3/bug23023 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-16 09:57 abv New Issue
2013-09-16 09:57 abv Assigned To => gka
2013-09-16 09:58 abv Relationship added related to 0023023
2013-09-16 09:58 abv Relationship added related to 0024108
2013-09-16 10:06 abv Note Added: 0025582
2013-09-16 10:06 abv Assigned To gka => agv
2013-09-16 10:06 abv Status new => resolved
2013-09-20 11:53 agv Status resolved => reviewed
2013-09-20 11:56 agv Assigned To agv => abv
2013-09-20 11:58 abv Assigned To abv => bugmaster
2013-09-20 15:36 mkv Assigned To bugmaster => mkv
2013-09-26 16:34 mkv Note Added: 0025754
2013-09-26 16:34 mkv Test case number => bugs moddata_3(013) bug23023
2013-09-26 16:34 mkv Assigned To mkv => bugmaster
2013-09-26 16:34 mkv Status reviewed => tested
2013-09-30 15:53 bugmaster Changeset attached => occt master cccf81ea
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-10-03 06:22 abv Relationship added related to 0023846
2013-10-05 10:58 abv Note Added: 0025914
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker